/***************************************************************************
 *   Copyright (C) 2008 by Dr Pierre-Marie DESOMBRE                        *
 *   pm.desombre@medsyn.fr                                                 *
 *                  on a idea from Eric Maeker                             *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef COPYMYCHOICES_H
#define COPYMYCHOICES_H

#include "copyIO.h"
#include "ui_copy.h"
#include <QStringList>
#include <QWidget>
#include <QKeyEvent>

class CopyMyChoices : public QWidget,public Ui::CopyWidget {
    Q_OBJECT
    public:
        CopyMyChoices(QWidget * parent = 0);
        ~CopyMyChoices();
        void run(QString &arg);
        QStringList getChoosenValues();
        void clear();
        void addToTableView(const QString & text);
        QString returnString();
        void keyReleaseEvent(QKeyEvent *e);
        QString m_arg;
    private:
        QStringList m_ValuesChoosen;
        CopyIO * m_io;
    private slots:
        void chooseValue(const QModelIndex& index);
        void supprItemChoosen(QListWidgetItem * item);
        void on_lineEdit_textChanged(const QString & text);
        void quitApplication();
        void apply();
        void addToDatabase();
        void deleteFromDatabase();        
};

#endif

